#include <stdio.h>
#include <stdlib.h>
#include <math.h>
int main()
{
    long long R, L, broj=0, rez=0;
    float N, q, p, r;
    scanf("%f %f %f %Ld %Ld", &p, &q, &r, &L, &R);
    for(;L<=R;L++)
    {
        N=L/p;
        if(N-(int)N>0)
            broj = (int)N+1;
        else
            broj = (int)N;
        N=L/q;
        if(N-(int)N>0)
            broj += (int)N+1;
        else
            broj += (int)N;
        N=L/r;
        if(N-(int)N>0)
            broj += (int)N+1;
        else
            broj += (int)N;
        if(broj<=L)
            rez++;
    }
    printf("%Ld", rez);
    return 0;
}